import * as $dara from '@darabonba/typescript';
import { UpdateUnknownThreatDetectStrategyResponseBody } from "./UpdateUnknownThreatDetectStrategyResponseBody";
export declare class UpdateUnknownThreatDetectStrategyResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: UpdateUnknownThreatDetectStrategyResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
